summaryrefslogtreecommitdiffstats
path: root/source.local/d/dev86
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/d/dev86
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/d/dev86')
-rw-r--r--source.local/d/dev86/README8
-rw-r--r--source.local/d/dev86/dev86-0.16.17-make382.patch.gzbin0 -> 232 bytes
-rw-r--r--source.local/d/dev86/dev86-x86_64.patch.gzbin0 -> 342 bytes
-rwxr-xr-xsource.local/d/dev86/dev86.SlackBuild120
-rw-r--r--source.local/d/dev86/dev86.info8
-rw-r--r--source.local/d/dev86/dev86.noelks.patch.gzbin0 -> 361 bytes
-rw-r--r--source.local/d/dev86/slack-desc12
7 files changed, 148 insertions, 0 deletions
diff --git a/source.local/d/dev86/README b/source.local/d/dev86/README
new file mode 100644
index 0000000..407e6d0
--- /dev/null
+++ b/source.local/d/dev86/README
@@ -0,0 +1,8 @@
+This is a complete 8086 assembler and loader which can make 32-bit
+code for the 386+ processors. In the past it was used to compile the
+16-bit bootsector and setup binaries for the kernel, but modern
+(2.4.x or newer) kernels use GNU ld instead.
+
+There's a package bin86 already included in Slackware, which is a
+subset of the programs of dev86. Therefore the bin86 programs are
+not included in this package. \ No newline at end of file
diff --git a/source.local/d/dev86/dev86-0.16.17-make382.patch.gz b/source.local/d/dev86/dev86-0.16.17-make382.patch.gz
new file mode 100644
index 0000000..a374944
--- /dev/null
+++ b/source.local/d/dev86/dev86-0.16.17-make382.patch.gz
Binary files differ
diff --git a/source.local/d/dev86/dev86-x86_64.patch.gz b/source.local/d/dev86/dev86-x86_64.patch.gz
new file mode 100644
index 0000000..94519bb
--- /dev/null
+++ b/source.local/d/dev86/dev86-x86_64.patch.gz
Binary files differ
diff --git a/source.local/d/dev86/dev86.SlackBuild b/source.local/d/dev86/dev86.SlackBuild
new file mode 100755
index 0000000..5185ade
--- /dev/null
+++ b/source.local/d/dev86/dev86.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+PRGNAM=dev86
+SRCNAM=Dev86src
+VERSION=0.16.17
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+if [ "$ARCH" = "x86_64" ]; then
+ zcat $CWD/dev86-x86_64.patch.gz \
+ | patch -p1 --verbose --backup --suffix=.orig -E
+fi
+# elks will not build on anything except i?86 so abandon it altogether:
+zcat $CWD/dev86.noelks.patch.gz | patch -p1 --verbose || exit 1
+# Fix compilation with make-3.82 (which had to be patched as well...):
+zcat $CWD/dev86-0.16.17-make382.patch.gz | patch -p0 --verbose || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+#Does not compile with changed CFLAGS
+#CC="gcc" make CFLAGS="-Wall -Wstrict-prototypes $SLKCFLAGS -g" DIST=$PKG
+CC="gcc" \
+make DIST=$PKG MANDIR=/usr/man LIBDIR=/usr/lib${LIBDIRSUFFIX}/bcc \
+ INCLDIR=/usr/lib${LIBDIRSUFFIX}/bcc LOCALPREFIX=/usr \
+ install install-man
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes Contributors COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+for i in bootblocks copt dis88 elksemu unproto ; do
+ cp -a $i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i ;
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+if [ "$ARCH" = "x86_64" ]; then # Remove traces of elks
+ rm -f $PKG/usr/doc/$PRGNAM-$VERSION/README.elksemu
+ find $PKG/usr/man -name "elks*.*" -exec rm -f {} \;
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/d/dev86/dev86.info b/source.local/d/dev86/dev86.info
new file mode 100644
index 0000000..ef223b1
--- /dev/null
+++ b/source.local/d/dev86/dev86.info
@@ -0,0 +1,8 @@
+PRGNAM="dev86"
+VERSION="0.16.15"
+HOMEPAGE="http://homepage.ntlworld.com/robert.debath/"
+DOWNLOAD="http://distrib-coffee.ipsl.jussieu.fr/pub/linux/momonga/1/PKGS/SOURCES/Dev86src-0.16.15.tar.gz"
+MD5SUM="c3266fa6530b472e1d3e98d826db6409"
+MAINTAINER="Heinz Wiesinger"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/source.local/d/dev86/dev86.noelks.patch.gz b/source.local/d/dev86/dev86.noelks.patch.gz
new file mode 100644
index 0000000..5b87cf6
--- /dev/null
+++ b/source.local/d/dev86/dev86.noelks.patch.gz
Binary files differ
diff --git a/source.local/d/dev86/slack-desc b/source.local/d/dev86/slack-desc
new file mode 100644
index 0000000..557638a
--- /dev/null
+++ b/source.local/d/dev86/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+dev86: dev86 (8086 development utilities)
+dev86:
+dev86: This is a complete 8086 assembler and loader which can make 32-bit
+dev86: code for the 386+ processors. In the past it was used to compile the
+dev86: 16-bit bootsector and setup binaries for the kernel, but modern
+dev86: (2.4.x or newer) kernels use GNU ld instead.
+dev86:
+dev86: Homepage: http://homepage.ntlworld.com/robert.debath/
+dev86:
+dev86:
+dev86: